Package com.collibra.dgc.core.api.component.breadcrumb

# Interface BreadcrumbApi

public interface BreadcrumbApi
Contains all API operations related to breadcrumbs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<NamedResourceReference>`
  `getAssetBreadcrumb(UUID assetId)`
  Returns the breadcrumbs (resourceDiscriminator: "Community" or "Domain") for the asset identified by the given UUID.
  `List<NamedResourceReference>`
  `getCommunityBreadcrumb(UUID communityId)`
  Returns the breadcrumbs for the community identified by the given UUID.
  `List<NamedResourceReference>`
  `getDomainBreadcrumb(UUID domainId)`
  Returns the breadcrumbs for the domain identified by the given UUID.

- ## Method Details

  - ### getCommunityBreadcrumb

    @SecurityAuditMethod(resultFormatter=com.collibra.audit.formatter.CollectionCountFormatter.class) List<NamedResourceReference> getCommunityBreadcrumb(UUID communityId)
    Returns the breadcrumbs for the community identified by the given UUID.
    Parameters:
      `communityId` - the UUID of the community for which we want the breadcrumb
    Returns:
      List of Community objects representing the breadcrumb

  - ### getDomainBreadcrumb

    @SecurityAuditMethod(resultFormatter=com.collibra.audit.formatter.CollectionCountFormatter.class) List<NamedResourceReference> getDomainBreadcrumb(UUID domainId)
    Returns the breadcrumbs for the domain identified by the given UUID.
    Parameters:
      `domainId` - the UUID of the domain for which we want the breadcrumb
    Returns:
      List of Community objects representing the breadcrumb

  - ### getAssetBreadcrumb

    @SecurityAuditMethod(resultFormatter=com.collibra.audit.formatter.CollectionCountFormatter.class) List<NamedResourceReference> getAssetBreadcrumb(UUID assetId)
    Returns the breadcrumbs (resourceDiscriminator: "Community" or "Domain") for the asset identified by the given UUID.
    Parameters:
      `assetId` - the UUID of the asset for which we want the breadcrumb
    Returns:
      List of Domain and Community objects representing the breadcrumb